<template>
  <div class="mh-layout">
    <mh-header class="mh-header" />
    <mh-page class="mh-page" />
    <mh-footer class="mh-footer" />
  </div>
</template>

<script>
import MhPage from '@/components/layout/page'
import MhHeader from '@/components/layout/header'
import MhFooter from '@/components/layout/footer'

export default {
  name: 'App',

  components: { MhPage, MhHeader, MhFooter }
}
</script>

<style lang="scss" scoped>
.mh-layout {
  min-height: 100%;
  display: flex;
  flex-direction: column;
}

.mh-page {
  flex-grow: 1;
}
</style>
